from compute_vector_feature import *
import numpy as np
import pandas as pd

def data():
    # sampling rate
    Fs = 256
    temp_file = "data/hasini/brain_1761337390.csv"

    df = pd.read_csv(temp_file)

    df.drop(columns = 'timestamps',inplace=True)

    eegdata = df.to_numpy()
    print(eegdata.shape)

    ret = compute_feature_vector(eegdata, Fs)
    return ret
    


if __name__ == '__main__':
    print(data())